## mingetty 0.9.4

=== Makefile ===
CFLAGS=-Wall -O6 -fomit-frame-pointer -pipe
# my compiler doesn't need -fno-strength-reduce
LDFLAGS=-Wl,-warn-common -s

all:		mingetty
		size mingetty

install:	all
		install -s mingetty /sbin/
		install -m 644 mingetty.8 /usr/man/man8/

mingetty:	mingetty.o

clean:
		rm -f *.o mingetty

## mingetty 1.08

=== Makefile ===
DESTDIR=
CC=gcc
CFLAGS=-O2 -Wall -W -pipe -D_GNU_SOURCE
MANDIR=/usr/share/man/man8
SBINDIR=/sbin

all:		mingetty

install:	all
		install -m 0755 mingetty $(DESTDIR)$(SBINDIR)
		install -m 0644 mingetty.8 $(DESTDIR)$(MANDIR)

mingetty:	mingetty.o

clean:
		rm -f *.o mingetty

=== debian/changelog ===
mingetty (1.08-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:34:53 +0000

mingetty (1.08-2) unstable; urgency=low

  * Add a debian/watch file pointing at SourceForge.
  * Fix lintian warning on debian/copyright file.
  * Patch:
    + non-linux.patch: Should allow compilation on Hurd and BSD.

 -- Paul Martin <pm@debian.org>  Thu, 17 May 2012 15:36:01 +0100

mingetty (1.08-1) unstable; urgency=low

  * New upstream release
    + Adds new option --loginpause
  * Update to debhelper 9 and the dh sequencer.
  * Updated copyright file and converted to machine readable format.
  * Convert to source format 3.0 (quilt).
  * Added security patches from RedHat:
    + rh-loginnamemax.patch: Allow login name up to LOGIN_NAME_MAX length.
    + rh-clearscrollback.patch: Clear console scrollback on clear screen.

 -- Paul Martin <pm@debian.org>  Tue, 01 May 2012 12:43:06 +0100

mingetty (1.07-3) unstable; urgency=high

  * Fix bug introduced by patch from #597382: the return value of nice()
    is the new nice value. (Closes: #597382)

 -- Paul Martin <pm@debian.org>  Sat, 25 Sep 2010 16:12:51 +0100

mingetty (1.07-2) unstable; urgency=high

  * Critical security patch: Fix unsafe chroot call. (Closes: #597382)
  * Checked dependencies for locusts. (Closes: http://xkcd.com/797/)

 -- Paul Martin <pm@debian.org>  Sat, 25 Sep 2010 01:51:12 +0100

mingetty (1.07-1) unstable; urgency=low

  * New upstream release. Changes:
    + Only prepends /dev/ to the tty name if the given tty doesn't start
      with a /.
  * Fix buffer overflow due to use of strcat and strcpy. (Closes: #221841)

 -- Paul Martin <pm@debian.org>  Sat,  2 Apr 2005 01:32:50 +0100

mingetty (1.06-3) unstable; urgency=high

  * Fix failure on udev systems. (Closes: #243247)
  * Standards-Version: 3.6.1

 -- Paul Martin <pm@debian.org>  Wed, 18 Aug 2004 21:33:50 +0100

mingetty (1.06-2) unstable; urgency=low

  * The "assume spherical admin of uniform density" release
  * Keep manoj and friends happy by bloating debian/control 
    description field. In the extended description, it is assumed that 
    the administrator knows what a tty and a virtual console is.
    (Closes: #209705)

 -- Paul Martin <pm@debian.org>  Wed, 10 Sep 2003 01:20:25 +0100

mingetty (1.06-1) unstable; urgency=low

  * New upstream release (Closes: #181886)
    + Ignores errors in setting permissions on devices in /dev
      (Closes: #204967).
    + nohangup option doesn't use vhangup() (Closes: #53184,#163769)
    + New options:
        autologin, chdir, chroot, delay, nonewline, noissue, nohangup,
        nohangup, nohostname, loginprog, nice.
  * Fix description-synopsis-might-not-be-phrased-properly lintian
    warning.
  * Standards version 3.6.0. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Tue, 19 Aug 2003 17:01:23 +0100

mingetty (0.9.4-9) unstable; urgency=low

  * Applied patch to make things work a little better with devfs, which
    I believe is used by debian-installer. (Closes: #81275)
  * Bump standards version to 3.5.7:
    - Don't make /usr/doc symlinks
    - Honour DEB_BUILD_OPTIONS

 -- Paul Martin <pm@debian.org>  Mon, 30 Sep 2002 02:05:00 +0100

mingetty (0.9.4-8) unstable; urgency=low

  * New maintainer. (Closes: #107964)
    - Thanks for the NMUs. (Closes: #91588, #93984, #93985)
  * Fix lintian errors:
    - spelling-error-in-copyright Debian/GNU Linux Debian GNU/Linux
    - copyright-refers-to-old-directory
  * Updated to latest standards version (3.5.6)
  * Use debhelper instead of custom debian/rules file.
  * Use dumb terminal setting on s390. (Closes: #113500)
  * Apply patch obtained from RedHat SRPM:
      mingetty-0.9.4-syslog.patch fixes a possible printf attack.
  * Call setsid() to ensure that we don't already have a controlling
    tty, and make an error message more descriptive.
    (Closes: #51756)

 -- Paul Martin <pm@debian.org>  Thu, 15 Nov 2001 22:37:02 +0000

mingetty (0.9.4-7.2) unstable; urgency=low

  * debian/copyright: point to /usr/share/doc/copyright

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 14 Apr 2001 19:15:06 +0200

mingetty (0.9.4-7.1) unstable; urgency=low

  * debian/rules: moved doc and man to /usr/sahre (closes: bug#91588)
  * debian/prerm, debian/postinst, debian/rules: add /usr/doc/ transition
    scripts
  * debian/control: added priority and section to binary.
  * debian/control: Standards-Version 3.1.0

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 14 Apr 2001 19:01:15 +0200

mingetty (0.9.4-7) unstable; urgency=low

  * Added patch from Dan Gohman <gohmandj@mrs.umn.edu> to use standard
  utmp access functions in libc. (closes: bug#44097)

 -- Michael Alan Dorman <mdorman@debian.org>  Thu, 16 Sep 1999 22:33:50 -0400

mingetty (0.9.4-6) unstable; urgency=low

  * Allow - in login names (closes: bug#35199)

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 29 Mar 1999 14:24:48 -0500

mingetty (0.9.4-5) unstable; urgency=low

  * Remove superfluous call to utmpname (closes: bug#34726)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 28 Mar 1999 12:40:11 -0500

mingetty (0.9.4-4) unstable; urgency=low

  * Maintainer release to satisfy Shaleh. :-)
  * Redid debian/rules.
  * Closes fixed bug (closes: bug#28550)
  * Closes fixed bug (closes: bug#27505)
  
 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  9 Mar 1999 09:48:18 -0500

mingetty (0.9.4-3.2) unstable; urgency=low

  * Small patch for ARM port.
  
 -- Jim Pick <jim@jimpick.com>  Sun,  4 Oct 1998 17:20:36 -0700

mingetty (0.9.4-3.1) unstable; urgency=low

  * Non-maintainer release
  * Compiled with libc6
  * Upgraded to Standards-Version 2.3.0.1.
  * Reset permissions on /dev/vcsN and /dev/vcsaN on logout. (Fixes #13509)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 23 Nov 1997 00:53:00 +1100

mingetty (0.9.4-3) unstable; urgency=low

  * Corrected maintainer address



=== debian/control ===
Source: mingetty
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Martin <pm@debian.org>
Standards-Version: 3.9.3
Section: admin
Build-Depends: debhelper (>=9)
Priority: optional

Package: mingetty
Architecture: any
Priority: optional
Section: admin
Depends: ${shlibs:Depends},${misc:Depends}
Description: Console-only getty
 Mingetty is a small, efficient, console-only getty for Linux.
 .
 "getty opens a tty port, prompts for a login name and invokes the 
 /bin/login command. It is normally invoked by init(8)."
 .
 mingetty is a minimal getty for use on virtual consoles. Unlike
 the getty in the util-linux or mgetty packages, mingetty is not 
 suitable for serial lines, which is why it's smaller.

=== debian/watch ===
version=3

http://sf.net/mingetty/mingetty-(.+)\.tar\.gz
